summaryrefslogtreecommitdiff
path: root/redhat/watchquagga.init
diff options
context:
space:
mode:
Diffstat (limited to 'redhat/watchquagga.init')
-rw-r--r--redhat/watchquagga.init64
1 files changed, 34 insertions, 30 deletions
diff --git a/redhat/watchquagga.init b/redhat/watchquagga.init
index 74299e37..dda35066 100644
--- a/redhat/watchquagga.init
+++ b/redhat/watchquagga.init
@@ -1,9 +1,11 @@
#!/bin/bash
-#
# chkconfig: 2345 17 83
-# description: A Quagga watchdog for use with Zebra
-#
-# processname: watchquagga
+
+### BEGIN INIT INFO
+# Provides: watchquagga
+# Short-Description: Quagga watchdog
+# Description: Quagga watchdog for use with Zebra
+### END INIT INFO
# source function library
. /etc/rc.d/init.d/functions
@@ -14,49 +16,51 @@
# quagga command line options
. /etc/sysconfig/quagga
-# Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit 0
-
-# Check that there are daemons to be monitored.
-[ -z "$WATCH_DAEMONS" ] && exit 0
-
RETVAL=0
-prog="watchquagga"
+PROG="watchquagga"
+cmd=watchquagga
+LOCK_FILE=/var/lock/subsys/watchquagga
case "$1" in
start)
- echo -n $"Starting $prog: "
- daemon /usr/sbin/watchquagga -d $WATCH_OPTS $WATCH_DAEMONS
+ # Check that networking is up.
+ [ "${NETWORKING}" = "no" ] && exit 1
+
+ # Check that there are daemons to be monitored.
+ [ -z "$WATCH_DAEMONS" ] && exit 1
+
+ echo -n $"Starting $PROG: "
+ daemon $cmd -d $WATCH_OPTS $WATCH_DAEMONS
RETVAL=$?
- [ $RETVAL -eq 0 ] && touch /var/lock/subsys/watchquagga
+ [ $RETVAL -eq 0 ] && touch $LOCK_FILE
echo
;;
stop)
- echo -n $"Shutting down $prog: "
- killproc watchquagga
+ echo -n $"Shutting down $PROG: "
+ killproc $cmd
RETVAL=$?
- [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/watchquagga
+ [ $RETVAL -eq 0 ] && rm -f $LOCK_FILE
echo
;;
- restart|reload)
- $0 stop
- $0 start
+ restart|reload|force-reload)
+ $0 stop
+ $0 start
RETVAL=$?
- ;;
- condrestart)
- if [ -f /var/lock/subsys/watchquagga ]; then
- $0 stop
+ ;;
+ condrestart|try-restart)
+ if [ -f $LOCK_FILE ]; then
+ $0 stop
$0 start
- fi
+ fi
RETVAL=$?
- ;;
+ ;;
status)
- status watchquagga
+ status $cmd
RETVAL=$?
- ;;
+ ;;
*)
- echo $"Usage: $0 {start|stop|restart|reload|condrestart|status}"
- exit 1
+ echo $"Usage: $0 {start|stop|restart|reload|force-reload|condrestart|try-restart|status}"
+ exit 2
esac
exit $RETVAL